function nl2br_js(text){
    return text;
}

$(function(){
    $('table.uiComment').hover(function(){

        var id = $(this).attr('id');
        
        $('.' + id + '-option').show();

        $('table#reply-' + id).css('background-color', 'grey');
        
    },
    function(){

        var id = $(this).attr('id');

        $('.' + id + '-option').hide();

        $('table#reply-' + id).css('background-color', '');
    });

    $('#newCommentReply').focus(function(){

        $('.newCommentReplySubmit').show();

        $('#newCommentReply').css('height', '200px');

        $('tr.reply-form').fadeOut();

    });

    $('.commentReplyFieldDelete').click(function(){

        $('textarea[name=commentReply]').val('');

    });

    $(".commentReplyDelete").click(function() {

        var id = $(this).attr('id');

        var order = '&a=commentReplyDelete&id=' + id;

        $.post("/js/ajax.php", order, function() {

            $('#reply-' + id).fadeOut();
            
        });
    });

    $(".reply").click(function() {

        $(".saveComment").show();

        var id = $(this).attr('id');

        var parentId = $(this).attr('parentId');

        var section = $(this).attr('section');

        var sectionId = $(this).attr('sectionId');

        $('tr.reply-form').fadeOut();

        $('#newreply-' + id).fadeIn();

        $('.' + id + '-parentId').attr('value', id);
    });

    $(".saveComment").click(function() {

        $(".saveComment").hide();

        var id = $(this).attr('id');

        var parentId = $('.' + id + '-parentId').val();

        var section = $('.' + id + '-section').val();

        var sectionId = $('.' + id + '-sectionId').val();

        var commentReply = $('.' + id + '-commentReply').val();

        $.ajax({
            url: '/comment',
            type: "POST",
            data: ({saveComment : true, parentId : parentId, section : section, sectionId : sectionId, commentReply : commentReply}),

            success: function(data) {

                var tmp = data.split("-");

                var text;

                var userId = tmp[0];

                var userNick = tmp[1];

                if (parentId > 0) {
                    text = '<tr><td /><td><table width="100%"><tr><td align="left" width="45"><a href="/user/' + userNick + '" class="uiMediaThumb uiMediaThumbSmall"><i style="background-image: url(/images/users/wall/' + userId + '.jpg);"></i></a></td><td align="left"><div class="nick"><a href="/user/' + userNick + '" class="nick">' + userNick + '</a></div><div class="time">0 min</div><div style="clear: both;">' + nl2br_js(commentReply) + '</div></td></tr></table></td></tr>';

                    $('#reply-' + parentId).append(text);

                    $('textarea').val('');

                    $('tr.reply-form').fadeOut();
                } else {
                    text = '<table width="100%" class="uiComment uiCommentGrid"><tr><td align="left" width="45"><a href="/user/' + userNick + '" class="uiMediaThumb uiMediaThumbSmall"><i style="background-image: url(/images/users/wall/' + userId + '.jpg);"></i></a></td><td align="left"><div class="nick"><a href="/user/' + userNick + '" class="nick">' + userNick + '</a></div><div class="time">0 min</div><div style="clear: both;">' + nl2br_js(commentReply) + '</div></td></tr></table><div class="uiDividerLarge"></div>';

                    if (section == "user-wall") {
                        $('#reply--').append(text);
                    }
                    else {
                        $('#reply-' + parentId).append(text);
                    }

                    $('textarea').val('');

                    $('tr.reply-form').fadeOut();
                }

            }
        });
    });

    $(".commentVoteUp").click(function() {

        var id = $(this).attr('id');

        var order = '&a=commentVoteUp&id=' + id;

        $.post("/js/ajax.php", order, function(data) {

            if (data > 0) {
                $('span.vu-' + id).html(data).fadeIn();
            }
            else {
                $('span.vu-' + id).parent().attr('title', 'Maks 1 stemme pr innlegg');
            }

        });
    });

    $(".commentVoteDown").click(function() {

        var id = $(this).attr('id');

        var order = '&a=commentVoteDown&id=' + id;

        $.post("/js/ajax.php", order, function(data) {

            if (data > 0) {
                $('span.vd-' + id).html(data).fadeIn();
            }
            else {
                $('span.vd-' + id).parent().attr('title', 'Maks 1 stemme pr innlegg');
            }

        });
    });

});